<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgListaPrecios.bcListaPrecioAdmin}</ui:define>

	<ui:define name="cuerpoPagina">

		<h:form id="formMensajes">
			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />
		</h:form>

		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgListaPrecios.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecio}" url="#" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecioAdmin}"
					url="${request.contextPath}/lista/precios/administrar.faces" />
			</p:breadCrumb>


			<p:dataTable id="listaPrecios" var="objListaPrecio"
				value="#{beanListaPrecio.getListaPrecios()}" rows="15"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgListaPrecios.tituloAdministrar}</f:facet>

				<p:column headerText="#{msgListaPrecios.idListaPrecio}"
					style="width: 33%;">
					<h:outputText value="#{objListaPrecio.idListaPrecio}" />
				</p:column>

				<p:column headerText="#{msgListaPrecios.nombreListaPrecio}"
					style="width: 33%;">
					<h:outputText value="#{objListaPrecio.nombreListaPrecio}" />
				</p:column>

				<p:column headerText="#{msgListaPrecios.estado}" style="width: 33%;">
					<h:outputText
						value="#{beanListaPrecio.getEstadoNombre(objListaPrecio.estado)}" />
				</p:column>

				<p:column headerText="" style="width: 10%;">
					<p:commandLink
						action="#{beanListaPrecio.seleccionarListaPrecioActualizar(objListaPrecio)}">
						<i class="fa fa-edit"
							style="font-size: 1.3em; color: green; margin-right: 1rem;"></i>
					</p:commandLink>

					<p:commandLink
						actionListener="#{beanListaPrecio.seleccionarListaPrecioBorrar(objListaPrecio)}"
						oncomplete="PF('dialogBorrar').show();"
						update=":dialogForm:nomListaPrecioBorrar"
						disabled="false"><i class="fa fa-trash-o" style="font-size: 1.3em; color: red;"></i>
					</p:commandLink>

				</p:column>
			</p:dataTable>

		</h:form>

		<p:dialog header="#{msgListaPrecios.mensajeBorrar}"
			widgetVar="dialogBorrar" modal="true" height="150px"
			resizable="false">

			<h:form id="dialogForm">
				<h:outputText value="#{msgListaPrecios.mensajeConfirmar}" />
				<p:separator />
				<strong> <h:outputText id="nomListaPrecioBorrar"
					value="#{beanListaPrecio.objListaPrecio.nombreListaPrecio}" /> </strong>

				<br />
				<br />

				<div align="center"> <p:commandButton
					value="#{msgListaPrecios.btnBorrar}"
					style="background: red; color: #FFF"
					actionListener="#{beanListaPrecio.btnBorrar()}"
					update="form :formMensajes:messages"
					oncomplete="PF('dialogBorrar').hide();" ajax="true" /> <p:commandButton
					value="#{msgListaPrecios.btnCancelar}"
					onclick="PF('dialogBorrar').hide();" ajax="true" /> </div>
			</h:form>

		</p:dialog>


	</ui:define>

</ui:composition>

